import { MidwayConfig } from '@midwayjs/core';

/**数据库ip */
const ip = '10.2.2.17';
/**原数据库名称 */
const dbName = 'water_service';
/**新数据库 */
const v2DbName = 'water_service_v2'
/**数据库用户名 */
const dbUsername = 'water_v1';
/**数据库密码 */
const dbPwd = 'ccshuitou';

const dbv2 = 'water_v2'
const dbv2Pwd = 'ccshuitou'

export default {
  keys: '1697684406848_4978',
  koa: {
    port: 9000,
    globalPrefix: '/warter/front/v2/api',
    queryParseMode: 'extended',
  },
  midwayLogger: {
    default: {
      level: 'info'
    }
  },
  typeorm: {
    dataSource: {
      default: {
        type: 'mysql',
        host: ip,
        port: 3306,
        database: dbName,
        username: dbUsername,
        password: dbPwd,
        entities: ['./entity'],
        synchronize: false, // 如果第一次使用，不存在表，有同步的需求可以写 true，注意会丢数据
        logging: false,
      },
      v2: {
        type: 'mysql',
        host: ip,
        port: 3306,
        database: v2DbName,
        username: dbv2,
        password: dbv2Pwd,
        entities: ['./entityV2'],
        synchronize: false, // 如果第一次使用，不存在表，有同步的需求可以写 true，注意会丢数据
        logging: false,
      }
    },
  },
} as MidwayConfig;
