
import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_channel_count', { comment: 'CMS栏目访问量计数表' })
export class JcChannelAttr {
  @PrimaryColumn()
  channel_id: number;
  @Column({ comment: '总访问数' })
  views: number;
  @Column({ comment: '月访问数' })
  views_month: number;
  @Column({ comment: '周访问数' })
  views_week: number;
  @Column({ comment: '日访问数' })
  views_day: number;
  @Column({ comment: '内容发布数' })
  content_count_total: number;
  @Column({ comment: '内容今日发布数' })
  content_count_day: number;
  @Column({ comment: '内容本周发布数' })
  content_count_week: number;
  @Column({ comment: '内容本月发布数' })
  content_count_month: number;
  @Column({ comment: '内容今年发布数' })
  content_count_year: number;

}
