
import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_channel_model', { comment: '栏目可选内容模型表' })
export class JcChannelModel {
  @PrimaryColumn()
  channel_id: number;
  @Column({ comment: '模型id' })
  model_id: number;
  @Column({ comment: '内容模板' })
  tpl_content: string;
  @Column({ comment: '排序' })
  priority: number;
  @Column({ comment: '手机内容页模板' })
  tpl_mobile_content: string;
}
