import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_content_tag', { comment: 'CMS内容TAG表' })
export class JcContentTag {
  @PrimaryColumn()
  tag_id: number;
  @Column({ comment: 'tag名称' })
  tag_name: number;
  @Column({ comment: '被引用的次数' })
  ref_counter: number;
}
