import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_content_type', { comment: 'CMS内容类型表' })
export class JcContentType {
  @PrimaryColumn()
  type_id: number;
  @Column({ comment: '名称' })
  type_name: number;
  @Column({ comment: '图片宽' })
  img_width: string;
  @Column({ comment: '图片高' })
  img_height: string;
  @Column({ comment: '是否有图片' })
  has_image: string;
  @Column({ comment: '是否禁用' })
  is_disabled: string;
}
