import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_topic', { comment: 'CMS专题表' })
export class JcTopic {
  @PrimaryColumn()
  topic_id: number;
  @Column({ comment: '' })
  channel_id: number;
  @Column({ comment: '名称' })
  topic_name: string;
  @Column({ comment: '简称' })
  short_name: string;
  @Column({ comment: '关键字' })
  keywords: string;
  @Column({ comment: '描述' })
  description: string;
  @Column({ comment: '标题图' })
  title_img: string;
  @Column({ comment: '内容图' })
  content_img: string;
  @Column({ comment: '专题模板' })
  tpl_content: string;
  @Column({ comment: '排列顺序' })
  priority: number;
  @Column({ comment: '是否推荐' })
  is_recommend: number;
}
