
import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_channel', { comment: 'CMS栏目表' })
export class JcChannel {
  @PrimaryColumn()
  channel_id: number;
  @Column({ comment: '模型ID' })
  model_id: number;
  @Column({ comment: '站点ID' })
  site_id: number;
  @Column({ comment: '父栏目ID' })
  parent_id: number;
  @Column({ comment: '访问路径' })
  channel_path: string;
  @Column({ comment: '树左边' })
  lft: number;
  @Column({ comment: '树右边' })
  rgt: number;
  @Column({ comment: '排列顺序' })
  priority: number;
  @Column({ comment: '是否有内容' })
  has_content: number;
  @Column({ comment: '是否显示' })
  is_display: number;
}
