import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_comment_ext', { comment: 'CMS评论扩展表' })
export class JcCommentExt {
  @PrimaryColumn()
  comment_id: number;
  @Column({ comment: 'IP地址' })
  ip: string;
  @Column({ comment: '评论内容' })
  text: string;
  @Column({ comment: '回复内容' })
  reply: string;
}
