import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_content_attachment', { comment: 'CMS内容附件表' })
export class JcContentAttachment {
  @PrimaryColumn()
  content_id: number;
  @Column({ comment: '排列顺序' })
  priority: number;
  @Column({ comment: '附件路径' })
  attachment_path: string;
  @Column({ comment: '附件名称' })
  attachment_name: string;
  @Column({ comment: '文件名' })
  filename: string;
  @Column({ comment: '下载次数' })
  download_count: number;
}
