import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_content_picture', { comment: 'CMS内容图片表' })
export class JcContentPicture {
  @PrimaryColumn()
  content_id: number;
  @Column({ comment: '排列顺序' })
  priority: number;
  @Column({ comment: '图片地址' })
  img_path: string;
  @Column({ comment: '描述' })
  description: string;
}
