import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_content_txt', { comment: 'CMS内容文本表' })
export class JcContentTxt {
  @PrimaryColumn()
  content_id: number;
  @Column({ comment: '文章内容' })
  txt: number;
  @Column({ comment: '扩展内容1' })
  txt1: string;
  @Column({ comment: '扩展内容2' })
  txt2: string;
  @Column({ comment: '扩展内容3' })
  txt3: string;
}
