import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_friendlink', { comment: 'CMS友情链接' })
export class JcFriendlink {
  @PrimaryColumn()
  friendlink_id: number;
  @Column({ comment: '' })
  site_id: number;
  @Column({ comment: '' })
  friendlinkctg_id: string;
  @Column({ comment: '网站名称' })
  site_name: string;
  @Column({ comment: '网站地址' })
  domain: string;
  @Column({ comment: '图标' })
  logo: string;
  @Column({ comment: '站长邮箱' })
  email: string;
  @Column({ comment: '描述' })
  description: string;
  @Column({ comment: '点击次数' })
  views: string;
  @Column({ comment: '是否显示' })
  is_enabled: string;
  @Column({ comment: '排列顺序' })
  priority: number;
}
